channelIdqueryoptionalstring — Filter by channelId.
Example: id_demo_001
Beladed Livestream API
Static - Get through the reviewed Beladed Livestream contract.
/api/video/static/getcurl --request GET 'https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001' \
--header 'Accept: application/json' \
--header 'X-Beladed-API-Key: BELADED_SECRET_KEY'const response = await fetch("https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001", {
method: "GET",
headers: {
"Accept": "application/json",
"X-Beladed-API-Key": "BELADED_SECRET_KEY"
}
});
const data = await response.json();import requests
response = requests.request(
"GET",
"https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001",
headers={"Accept":"application/json","X-Beladed-API-Key":"BELADED_SECRET_KEY"},
timeout=30,
)
response.raise_for_status()
data = response.json()<?php
$client = curl_init("https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001");
curl_setopt_array($client, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => ["Accept: application/json","X-Beladed-API-Key: BELADED_SECRET_KEY"],
CURLOPT_RETURNTRANSFER => true,
]);
$response = curl_exec($client);require "net/http"
require "json"
uri = URI("https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001")
request = Net::HTTP::Get.new(uri)
request["Accept"] = "application/json"
request["X-Beladed-API-Key"] = "BELADED_SECRET_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(request) }var request = java.net.http.HttpRequest.newBuilder()
.uri(java.net.URI.create("https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001"))
.header("Accept", "application/json")
.header("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("GET", java.net.http.HttpRequest.BodyPublishers.noBody())
.build();
var response = java.net.http.HttpClient.newHttpClient().send(request, java.net.http.HttpResponse.BodyHandlers.ofString());package main
import (
"bytes"
"net/http"
)
func callBeladed() (*http.Response, error) {
body := []byte("")
request, err := http.NewRequest("GET", "https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001", bytes.NewReader(body))
if err != nil { return nil, err }
request.Header.Set("Accept", "application/json")
request.Header.Set("X-Beladed-API-Key", "BELADED_SECRET_KEY")
return http.DefaultClient.Do(request)
}using var client = new HttpClient();
using var request = new HttpRequestMessage(new HttpMethod("GET"), "https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001");
request.Headers.TryAddWithoutValidation("Accept", "application/json");
request.Headers.TryAddWithoutValidation("X-Beladed-API-Key", "BELADED_SECRET_KEY");
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();var request = URLRequest(url: URL(string: "https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001")!)
request.httpMethod = "GET"
request.setValue("application/json", forHTTPHeaderField: "Accept")
request.setValue("BELADED_SECRET_KEY", forHTTPHeaderField: "X-Beladed-API-Key")
let (data, response) = try await URLSession.shared.data(for: request)val request = okhttp3.Request.Builder()
.url("https://api.beladed.dev/api/video/static/get?channelId=id_demo_001&staticId=id_demo_001")
.addHeader("Accept", "application/json")
.addHeader("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("GET", null)
.build()
val response = okhttp3.OkHttpClient().newCall(request).execute()
channelIdqueryoptionalstring — Filter by channelId.
Example: id_demo_001
staticIdqueryoptionalstring — Filter by staticId.
Example: id_demo_001
No body is required.
{
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
}
}
},
"requestId": {
"type": "string"
}
}
}{
"data": {
"id": "id_demo_001",
"status": "available"
},
"requestId": "req_demo_001"
}
invalid_requestThe request did not satisfy the documented contract.
authentication_requiredThe credential is missing or invalid.
not_authorizedThe account, product scope, permission, or origin is not eligible.
not_foundThe requested public or account-owned resource was not found.
rate_limitedRetry after the current product limit resets.
This operation is published from reviewed repository contracts. Source metadata is included for traceability without exposing internal implementation details.